#
# spec file for package xwpe (Version 1.4.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xwpe
Release:      14
Copyright:    1994 Fred Kruse
Group: 
Provides:     xwpe xwpe133 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.4.2
Summary:      A X-window programming environment
Source: xwpe-1.4.2.tar.gz
Patch: xwpe-1.4.2.dif
%description
xwpe is a X-window programming environment designed  to  use
on UNIX-systems. It is similar to 'Borland C++ or Turbo Pascal'
environment. The  difference  between  the  programming
environments from Borland an xwpe is that many compilers and
linkers may  be  started.  From  a  menu  three   different
debuggers can be chosen. And of course not only key strokes
can select these options but you can also use a mouse.

Authors:
--------
    Fred Kruse <kruse@rrzn-nis.uni-hannover.de>

%prep
%setup
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/xwpe
%dir /usr/lib/wpe
/usr/bin/we
/usr/bin/wpe
/usr/bin/xwe
/usr/bin/xwpe
%doc /usr/doc/packages/xwpe/README
/usr/lib/wpe/we.help_eng
/usr/lib/wpe/we.help_gr
/usr/lib/wpe/we_help
%config /usr/lib/wpe/we_synt_defs
%doc /usr/man/man1/we.1.gz
%doc /usr/man/man1/wpe.1.gz
%doc /usr/man/man1/xwe.1.gz
%doc /usr/man/man1/xwpe.1.gz

